DEBCLEAN(1)

BEZEICHNUNG
debclean - bereinigt einen Quellcodeverzeichnisbaum

ÜBERSICHT
debclean [Optionen]

BESCHREIBUNG
debclean durchläuft den Verzeichnisbaum, beginnend mit dem Verzeichnisbaum, aus dem es aufgerufen wurde und führt debuild --clean für jedes gefundene Debian-Quellverzeichnis aus. Diese Verzeichnisse werden daran erkannt, dass sie eine debian/changelog-Datei für ein Paket enthalten, dessen Name zu dem des Verzeichnisses passt. Wann Namen passen, wird im Folgenden beschrieben.

Falls debclean aus einem Verzeichnis aufgerufen wird, das bereits ein Debian-Quellpaket ist, wird es nicht in dessen Unterverzeichnisse hinabsteigen.

Falls die Option --cleandebs angegeben ist, werden außerdem alle Dateien mit Namen *.deb, *.changes und *.build in jedem Verzeichnis, das einen Debian-Quellverzeichnisbaum enthält, entfernt. Die .dsc-, .diff.gz- und die (.orig).tar.gz-Dateien werden nicht angefasst, so dass die Veröffentlichung, falls nötig, rekonstruiert werden kann und die .upload-Dateien behalten werden, so dass die debchange-Funktionen korrekt funktionieren. Die Option --nocleandebs verhindert dieses zusätzliche Bereinigungsverhalten und die Option --cleandebs erzwingt sie. Standardmäßig werden diese Dateien nicht bereinigt.

debclean verwendet debuild(1), um den Quellverzeichnisbaum zu bereinigen.

Prüfung von Verzeichnisnamen
Ebenso wie mehrere andere Skripte im Paket devscripts wird debclean den Verzeichnisbaum durchlaufen, um debian/changelog-Dateien zu suchen. Als eine Schutzmaßnahme gegen verirrte Dateien, die potenziell Probleme bereiten, wird es den Namen des übergeordneten Verzeichnisses untersuchen, sobald es eine debian/changelog-Datei findet und prüfen, ob der Verzeichnisname dem Paketnamen entspricht. Wie dies genau geschieht, wird durch die beiden Konfigurationsdateivariablen DEVSCRIPTS_CHECK_DIRNAME_LEVEL und DEVSCRIPTS_CHECK_DIRNAME_REGEX sowie ihren entsprechenden Befehlszeilenoptionen --check-dirname-level und --check-dirname-regex geregelt.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL kann die folgenden Werte annehmen:

0   prüft den Verzeichnisnamen nie.

1   prüft den Verzeichnisnamen nur, falls in der Suche nach debian/changelog das Verzeichnis gewechselt werden muss. Dies ist das Standardverhalten.

2   prüft den Verzeichnisnamen immer.

The directory name is checked by testing whether the current directory name (as determined by pwd(1)) matches the regex given by the configuration file option DEVSCRIPTS_CHECK_DIRNAME_REGEX or by the command line option --check-dirname-regex regex. Here regex is a Perl regex (see perlre(3perl)), which will be anchored at the beginning and the end. If regex contains a '/', then it must match the full directory path. If not, then it must match the full directory name. If regex contains the string 'PACKAGE', this will be replaced by the source package name, as determined from the changelog. The default value for the regex is: 'PACKAGE(-.+)?', thus matching directory names such as PACKAGE and PACKAGE-version.

OPTIONEN

--cleandebs
    entfernt außerdem alle .deb-, .changes- und .build-Dateien aus dem übergeordneten Verzeichnis.

--nocleandebs
    entfernt die .deb-, .changes- und .build-Dateien aus dem übergeordneten Verzeichnis nicht; dies ist das Standardverhalten.

--check-dirname-level N
    Die Erklärung dieser Option finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen.

--check-dirname-regex regulärer_Ausdruck
    Die Erklärung dieser Option finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

-d  führt dpkg-checkbuilddeps nicht aus, um die Bauabhängigkeiten zu prüfen.

--help
    zeigt eine Hilfenachricht an und endet erfolgreich

--version
    zeigt Versions- und Copyright-Informationen an und endet erfolgreich.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

DEBCLEAN_CLEANDEBS
    Falls dies auf yes gesetzt ist, ist es so, als ob der Befehlszeilenparameter --cleandebs benutzt würde.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL, DEVSCRIPTS_CHECK_DIRNAME_REGEX
    Die Erklärung dieser Variablen finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen. Beachten Sie, dass dies paketweite Konfigurationsvariablen sind und daher alle devscripts-Skripte beeinflussen, die ihren Wert prüfen. Dies wird in ihren jeweiligen Handbuchseiten und in devscripts.conf(5) beschrieben.

SIEHE AUCH
debuild(1) und devscripts.conf(5)

AUTOR
Christoph Lameter <clameter@debian.org>; Änderungen durch Julian Gilbey <jdg@debian.org>.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.